
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用Javascript实现锚点(Anchor)间平滑跳转_javascript技巧 / iVAN</title>

    <meta name="description" content="用Javascript实现锚点(Anchor)间平滑跳转_javascript技巧 锚点(Anchor)相信很多人都不陌生,它方便访问者在页面的不同位置快速跳转,直接找到自己感兴趣的内容,如果说 RSS 是整个网站的摘要,那锚点就是一个页面的摘要,通常一个页面内容很多的时候,都会用锚点来定位. 但是锚点也有个问题,通常点击锚点后,页面会立即跳到目标位置,而本文介绍的方法,实现了锚点(Anchor)间平滑跳转,效果非常不错. 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; // 说明 :用 Javascript ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用Javascript实现锚点(Anchor)间平滑跳转_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>锚点(Anchor)相信很多人都不陌生，它方便访问者在页面的不同位置快速跳转，直接找到自己感兴趣的内容，如果说 RSS 是整个网站的摘要，那锚点就是一个页面的摘要，通常一个页面内容很多的时候，都会用锚点来定位。</p>
<p>但是锚点也有个问题，通常点击锚点后，页面会立即跳到目标位置，而本文介绍的方法，实现了锚点(Anchor)间平滑跳转，效果非常不错。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;script type="text/javascript"&gt; <br />// 说明 ：用 Javascript 实现锚点(Anchor)间平滑跳转 <br />// 来源 ：ThickBox 2.1 <br />// 整理 ：Yanfu Xie [xieyanfu@yahoo.com.cn] <br />// 日期 ：07.01.17 <br />// 转换为数字 <br />function intval(v) <br />{ <br />v = parseInt(v); <br />return isNaN(v) ? 0 : v; <br />} <br />// 获取元素信息 <br />function getPos(e) <br />{ <br />var l = 0; <br />var t = 0; <br />var w = intval(e.style.width); <br />var h = intval(e.style.height); <br />var wb = e.offsetWidth; <br />var hb = e.offsetHeight; <br />while (e.offsetParent){ <br />l += e.offsetLeft + (e.currentStyle?intval(e.currentStyle.borderLeftWidth):0); <br />t += e.offsetTop + (e.currentStyle?intval(e.currentStyle.borderTopWidth):0); <br />e = e.offsetParent; <br />} <br />l += e.offsetLeft + (e.currentStyle?intval(e.currentStyle.borderLeftWidth):0); <br />t += e.offsetTop + (e.currentStyle?intval(e.currentStyle.borderTopWidth):0); <br />return {x:l, y:t, w:w, h:h, wb:wb, hb:hb}; <br />} <br />// 获取滚动条信息 <br />function getScroll() <br />{ <br />var t, l, w, h; <br />if (document.documentElement &amp;&amp; document.documentElement.scrollTop) { <br />t = document.documentElement.scrollTop; <br />l = document.documentElement.scrollLeft; <br />w = document.documentElement.scrollWidth; <br />h = document.documentElement.scrollHeight; <br />} else if (document.body) { <br />t = document.body.scrollTop; <br />l = document.body.scrollLeft; <br />w = document.body.scrollWidth; <br />h = document.body.scrollHeight; <br />} <br />return { t: t, l: l, w: w, h: h }; <br />} <br />// 锚点(Anchor)间平滑跳转 <br />function scroller(el, duration) <br />{ <br />if(typeof el != 'object') { el = document.getElementById(el); } <br />if(!el) return; <br />var z = this; <br />z.el = el; <br />z.p = getPos(el); <br />z.s = getScroll(); <br />z.clear = function(){window.clearInterval(z.timer);z.timer=null}; <br />z.t=(new Date).getTime(); <br />z.step = function(){ <br />var t = (new Date).getTime(); <br />var p = (t - z.t) / duration; <br />if (t &gt;= duration + z.t) { <br />z.clear(); <br />window.setTimeout(function(){z.scroll(z.p.y, z.p.x)},13); <br />} else { <br />st = ((-Math.cos(p*Math.PI)/2) + 0.5) * (z.p.y-z.s.t) + z.s.t; <br />sl = ((-Math.cos(p*Math.PI)/2) + 0.5) * (z.p.x-z.s.l) + z.s.l; <br />z.scroll(st, sl); <br />} <br />}; <br />z.scroll = function (t, l){window.scrollTo(l, t)}; <br />z.timer = window.setInterval(function(){z.step();},13); <br />} <br />&lt;/script&gt;</p>
<p>调用方式：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>scroller(el, duration) <br />el : 目标锚点 ID <br />duration : 持续时间，以毫秒为单位，越小越快</p>
<p>HTML:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;style type="text/css"&gt; <br />div.test { <br />width:400px; <br />margin:5px auto; <br />border:1px solid #ccc; <br />} <br />div.test strong { <br />font-size:16px; <br />background:#fff; <br />border-bottom:1px solid #aaa; <br />margin:0; <br />display:block; <br />padding:5px 0; <br />text-decoration:underline; <br />color:#059B9A; <br />cursor:pointer; <br />} <br />div.test p { <br />height:400px; <br />background:#f1f1f1; <br />margin:0; <br />} <br />&lt;/style&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_1" id="header_1"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_4', 800);"&gt;header_1 --&gt; header_4&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_2" id="header_2"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_5', 800);"&gt;header_2 --&gt; header_5&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_3" id="header_3"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_6', 800);"&gt;header_3 --&gt; header_6&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_4" id="header_4"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_7', 800);"&gt;header_4 --&gt; header_7&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_5" id="header_5"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_3', 800);"&gt;header_5 --&gt; header_3&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_6" id="header_6"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_2', 800);"&gt;header_6 --&gt; header_2&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt; <br />&lt;div class="test"&gt; <br />&lt;a name="header_7" id="header_7"&gt;&lt;/a&gt; <br />&lt;strong onclick="javascript:scroller('header_1', 800);"&gt;header_7 --&gt; header_1&lt;/strong&gt; <br />&lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>测试代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt; <br />&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt; <br />&lt;head&gt; <br />&lt;meta http-equiv="content-type" content="text/html; charset=gb2312" /&gt; <br />&lt;meta name="keywords" content="平滑, 锚点, Anchor, 跳转, 滚动, javascript, " /&gt; <br />&lt;meta name="description" content="锚点(Anchor)相信很多人都不陌生，它方便访问者在页面的不同位置快速跳转，直接找到自己感兴趣的内容，如果说 RSS 是整个网站的摘要，那锚点就是一个页面的摘要，通常一个页面内容很多的时候，都会用锚点来定位。" /&gt; <br />&lt;title&gt;用 Javascript 实现锚点(Anchor)间平滑跳转 - 平滑, 锚点, Anchor, 跳转, 滚动, javascript, &lt;/title&gt;</p>
<p>&lt;link rel="stylesheet" href="/admin/tpl/default/css/pub_example.css" type="text/css" /&gt;</p>
<p>&lt;/head&gt; <br />&lt;body&gt;</p>
<p>&lt;div class="ad"&gt; <br />&lt;/div&gt;</p>
<p>&lt;br /&gt;</p>
<p>&lt;div id="example"&gt;</p>
<p>    &lt;h3 id="example_title"&gt;用 Javascript 实现锚点(Anchor)间平滑跳转&lt;/h3&gt;</p>
<p>    &lt;div id="example_main"&gt;</p>
<p>&lt;!--************************************* 实例代码开始 *************************************--&gt;</p>
<p>&lt;script type="text/javascript"&gt;</p>
<p>// 说明 ：用 Javascript 实现锚点(Anchor)间平滑跳转 <br />// 来源 ：ThickBox 2.1 <br />// 整理 ：Yanfu Xie [xieyanfu@yahoo.com.cn] <br />// 日期 ：07.01.17</p>
<p>// 转换为数字 <br />function intval(v) <br />{ <br />    v = parseInt(v); <br />    return isNaN(v) ? 0 : v; <br />}</p>
<p>// 获取元素信息 <br />function getPos(e) <br />{ <br />    var l = 0; <br />    var t = 0; <br />    var w = intval(e.style.width); <br />    var h = intval(e.style.height); <br />    var wb = e.offsetWidth; <br />    var hb = e.offsetHeight; <br />    while (e.offsetParent){ <br />        l += e.offsetLeft + (e.currentStyle?intval(e.currentStyle.borderLeftWidth):0); <br />        t += e.offsetTop + (e.currentStyle?intval(e.currentStyle.borderTopWidth):0); <br />        e = e.offsetParent; <br />    } <br />    l += e.offsetLeft + (e.currentStyle?intval(e.currentStyle.borderLeftWidth):0); <br />    t += e.offsetTop + (e.currentStyle?intval(e.currentStyle.borderTopWidth):0); <br />    return {x:l, y:t, w:w, h:h, wb:wb, hb:hb}; <br />}</p>
<p>// 获取滚动条信息 <br />function getScroll() <br />{ <br />    var t, l, w, h;</p>
<p>    if (document.documentElement &amp;&amp; document.documentElement.scrollTop) { <br />        t = document.documentElement.scrollTop; <br />        l = document.documentElement.scrollLeft; <br />        w = document.documentElement.scrollWidth; <br />        h = document.documentElement.scrollHeight; <br />    } else if (document.body) { <br />        t = document.body.scrollTop; <br />        l = document.body.scrollLeft; <br />        w = document.body.scrollWidth; <br />        h = document.body.scrollHeight; <br />    } <br />    return { t: t, l: l, w: w, h: h }; <br />}</p>
<p>// 锚点(Anchor)间平滑跳转 <br />function scroller(el, duration) <br />{ <br />    if(typeof el != 'object') { el = document.getElementById(el); }</p>
<p>    if(!el) return;</p>
<p>    var z = this; <br />    z.el = el; <br />    z.p = getPos(el); <br />    z.s = getScroll(); <br />    z.clear = function(){window.clearInterval(z.timer);z.timer=null}; <br />    z.t=(new Date).getTime();</p>
<p>    z.step = function(){ <br />        var t = (new Date).getTime(); <br />        var p = (t - z.t) / duration; <br />        if (t &gt;= duration + z.t) { <br />            z.clear(); <br />            window.setTimeout(function(){z.scroll(z.p.y, z.p.x)},13); <br />        } else { <br />            st = ((-Math.cos(p*Math.PI)/2) + 0.5) * (z.p.y-z.s.t) + z.s.t; <br />            sl = ((-Math.cos(p*Math.PI)/2) + 0.5) * (z.p.x-z.s.l) + z.s.l; <br />            z.scroll(st, sl); <br />        } <br />    }; <br />    z.scroll = function (t, l){window.scrollTo(l, t)}; <br />    z.timer = window.setInterval(function(){z.step();},13); <br />}</p>
<p>&lt;/script&gt;</p>
<p>&lt;style type="text/css"&gt; <br />div.test { <br />    width:400px; <br />    margin:5px auto; <br />    border:1px solid #ccc; <br />} <br />div.test strong { <br />    font-size:16px; <br />    background:#fff; <br />    border-bottom:1px solid #aaa; <br />    margin:0; <br />    display:block; <br />    padding:5px 0; <br />    text-decoration:underline; <br />    color:#059B9A; <br />    cursor:pointer; <br />} <br />div.test p { <br />    height:400px; <br />    background:#f1f1f1; <br />    margin:0; <br />}</p>
<p>&lt;/style&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_1" id="header_1"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_4', 800);"&gt;header_1 --&gt; header_4&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_2" id="header_2"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_5', 800);"&gt;header_2 --&gt; header_5&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_3" id="header_3"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_6', 800);"&gt;header_3 --&gt; header_6&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_4" id="header_4"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_7', 800);"&gt;header_4 --&gt; header_7&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_5" id="header_5"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_3', 800);"&gt;header_5 --&gt; header_3&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_6" id="header_6"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_2', 800);"&gt;header_6 --&gt; header_2&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;div class="test"&gt; <br />    &lt;a name="header_7" id="header_7"&gt;&lt;/a&gt; <br />    &lt;strong onclick="javascript:scroller('header_1', 800);"&gt;header_7 --&gt; header_1&lt;/strong&gt; <br />    &lt;p&gt;&lt;/p&gt; <br />&lt;/div&gt;</p>
<p>&lt;!--************************************* 实例代码结束 *************************************--&gt;</p>
<p>    &lt;/div&gt;</p>
<p>    &lt;div id="back"&gt;&lt;a href="http://www.jb51.net"&gt;返回 首页&lt;/a&gt;&lt;/div&gt;</p>
<p>&lt;/div&gt;</p>
<p>&lt;br /&gt;</p>
<p>&lt;div class="ad"&gt; <br />&lt;/div&gt;</p>
<p>&lt;/body&gt; <br />&lt;/html&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-22 21:57:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b9%b3%e6%bb%91%e8%b7%b3%e8%bd%ac/" title="平滑跳转">平滑跳转</a>, <a href="https://www.iamivan.net/tag/%e9%94%9a%e7%82%b9/" title="锚点">锚点</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用Javascript实现锚点(Anchor)间平滑跳转_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK8EKM.html" rel="bookmark">IE6中链接A的href为javascript协议时不在当前页面跳转&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				切页面时有时用链接A来替代按钮,这样做有几个好处 鼠标放上时默认有手状效果(不用添加cursor:pointer) 可以添加低版本IE都支持的伪类 如果点击时页面要整体刷新,即跳转,这时IE6则不尽人意,如下 复制代码 代码如下: &lt;p&gt;&lt;a href=&quot;javascript:;&quot; onclick=&quot;jumpSina()&quot;&gt;Sina&lt;/a&gt;&lt;/p&gt; &lt;p&gt;&lt;a href=&quot;javascrip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrYNEp.html" rel="bookmark">javascript温习的一些笔记 基础常用知识小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是全部内容: 2010.11.29日 1.[window.]alert(); document.alinkColor textString.anchor() navigator.appCodeName escape(&quot;Hi!&quot;) 返回ascii 码 eval(&quot;x+y&quot;) 对字符串求值 x=10,y=20;eval=30 formName.elementName.focus(); 设置元素成为焦点 history.forward() 前进浏览器 Date相关的函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOK08b.html" rel="bookmark">JS锚点的设置与使用方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS锚点的设置与使用方法.分享给大家供大家参考,具体如下: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;zh-cn&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;锚点&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;ul&gt; &lt;li&gt;&lt;a href=&quot;javascript:vo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOXDw5b.html" rel="bookmark">jquery根据锚点offset值实现动画切换&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				锚点相信大家都使用过吧!点击后僵硬的切换是不是很不爽呢? 下面分享一个小技巧,根据锚点offset值来实现动画切换 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKR9vM.html" rel="bookmark">JavaScript组件焦点与页内锚点间传值的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript组件焦点与页内锚点间传值的方法.分享给大家供大家参考.具体分析如下: 上述的这两个小功能在一些新式的手机页面是很有用的. 如何光标放上输入框就触发事件,离开输入框就触发另一个事件呢?即使用户不输入任何东西-- 页间传值很简单,但在页内的锚点之间是如何传值呢? 一.基本目标 有一个页面,上面有一个输入框,一个超级链接,这两个东西是没有任何关联的, 只是因为功能不大,所以把两个功能合起来写 1.输入框功能 一旦把光标放上对话框背景就变成红色,一旦用户的鼠标点击其他地			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZnB4b.html" rel="bookmark">JavaScript实现在页面间传值的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript实现在页面间传值的方法.分享给大家供大家参考.具体如下: 问题如下: 在 a.html 页面中,&lt;form&gt; 的 onsubmit 事件调用一个方法 foo( ),打开 b.html 页面的同时给 b.html 传递参数.方法 foo( ) 中需要传递变量参数到 b.html 页面,在 b.html 页面接受参数值,但不能使用服务器端技术. 解决代码如下: a.html页面如下: &lt;html&gt; &lt;head&gt; &lt;title&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Nm14b.html" rel="bookmark">JavaScript父子窗体间的调用方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript父子窗体间的调用方法.分享给大家供大家参考.具体如下: 如果要打开一个新窗口,使用 window.open( ) 方法. 如果要关闭自身窗口,使用 window.close( ) 方法. 一.父窗体 为了便于父窗口操作子窗口,可以为 window.open( ) 方法定义一个变量,例如: var opW = window.open(&quot;tests.html&quot;,&quot;popup&quot;,&quot;width=300,height=300&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8PE2b.html" rel="bookmark">保证JavaScript和Asp、Php等后端程序间传值编码统一&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在非英文字符集的页面上,如果使用Ajax方式进行数据交互的话,就必须要注意保证前后端数据的统一编码,否则,很容易就出现乱码! 在后端是ASP程序的情况下,保持前端Javascript和Asp之间传值的统一编码可以使用以下函数进行处理: 编码:escape(string) 解码:unescape(string) 这两个函数在JavaScript和Asp里都存在,而且功能完全一样,只要任何一端向另一端传数据,都先用escape进行编码,接收的一端用unescape进行解码即可保证Javascript			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YYk4M.html" rel="bookmark">javascript实现自动输出文本（打字特效）&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要利用了setTimeout(),递归和String.substring(); 做出的效果就像是有一个打字员在打字. &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;meta name=&quot;Generator&quot; content=&quot;EditPlus&quot;&gt; &lt;meta name=&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbamnXb.html" rel="bookmark" class="title">ASP教程：制作WAP留言本</a>
					<div>
						教程 [测试地址]:http://wap.blueidea.com/tutorial/wapguestbook/后台管理地址:http://wap.blueidea.com/tutorial/wapg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPx98p.html" rel="bookmark" class="title">网站？XML？我的思考</a>
					<div>
						xml 1.我用HTML进行设计 曾经我以为我蛮特别的,我喜欢用记事本来写很简单很简单的HTML.而且,我看的关于网页的第一个教程也就是教你&lt;h1&gt;啊这些标签的教程.相信那个著名的教程,很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyyA5M.html" rel="bookmark" class="title">JSP&sol;JAVABEAN&plus;TOMCAT4&period;0&period;5&plus;MYSQL组合建站总结</a>
					<div>
						js|mysql 系统配置:win2000英文版+JDK1.4.1+TOMCAT4.0.5+APACHE2.043开发周期:竭尽全力,前后历时近15天.实现功能:1．    画廊:图片及相关文字的提交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrGNWp.html" rel="bookmark" class="title">Flash视频教程：帧的操作</a>
					<div>
						教程|视频教程 点击这里全屏观看教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ8rOz.html" rel="bookmark" class="title">我的图片站一周被百度收录近半的体会</a>
					<div>
						本人做了一个图片站,规模很小,目前总共才一百多篇文章,六月三日上线,五日就收录了二十多页,八日达到六十页,收录速度远远超过我以前做的那些非图片站,ALEXA排名也从一开始的一千六百多万名到了今天(12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boN26z.html" rel="bookmark" class="title">别本末倒置网站优化关键还是以人为本</a>
					<div>
						最近百度的频频动作,也让我有幸的进入了很多之前没进过的站点.也想通过对他们站点的分析,找出百度算法变更的蛛丝马迹.至于通过对这些站的分析,找到了哪些内容,将在其它文中详述.在这里,我想要提醒一下新站长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2oYrM.html" rel="bookmark" class="title">SharePoint工作流开发点滴&lpar;6&rpar;</a>
					<div>
						一直以来都被MOSS的工作流权限问题所困扰. 我们虽然将任务分配给了某人,但事实上,所有在任务列表中有编辑权限的用户都可以编辑该任务. 而我们并不希望用户能够看到不属于自己的任务. 我曾经尝试过采用以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlXvWb.html" rel="bookmark" class="title">微软同步框架&lpar;MSF&rpar;入门之七--定制同步提供程序&lpar;SyncProvider&rpar;</a>
					<div>
						在上一篇文章当中,简要介绍了一下如何使用现有的 SyncProvider 对象来进行文件(夹)同步.今天的这个DEMO主要演示通过继承方式来实现自己的SyncProvider来进行相关同步元数据存储, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w9rrp.html" rel="bookmark" class="title">在IE右键菜单中新增&rdquo;添加到QQ表情&OpenCurlyDoubleQuote;功能选项</a>
					<div>
						1.右键单击QQ快捷方式,选择&quot;属性&quot;. 2.在快捷方式属性框中单击&quot;查找目标&quot;按钮. 3.打开QQ安装保存目录以后,检查该文件夹是否有 AddEmotion. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGLPAp.html" rel="bookmark" class="title">win7电脑启动后桌面出现乱码怎么办？</a>
					<div>
						  一般情况下,咱们正常的启动好系统之后,便会进入到桌面的界面,然后桌面也有很多的程序.文件的图标,咱们需要使用什么,直接双击打开就可以正常使用了,不过最近有朋友反应说,自己的win7 64位旗舰版也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr36wOp.html" rel="bookmark" class="title">MS-SQL异机备份恢复并最小化停机时间</a>
					<div>
						本文采用备份加增量日志的恢复方法,恢复源库到异机,增量日志恢复保证停机切换时间最小. 一. SQL Server数据库有三种恢复模式:简单恢复模式.完整恢复模式和大容量日志恢复模式:   1.Simp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYNDAM.html" rel="bookmark" class="title">常用正则表达式 整理篇&lowbar;正则表达式</a>
					<div>
						匹配中文字符的正则表达式: [\u4e00-\u9fa5] 匹配双字节字符(包括汉字在内): [^\x00-\xff] 应用:计算字符串的长度(一个双字节字符长度计2,ASCII字符计1) Strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6lKPM.html" rel="bookmark" class="title">JavaScript框架&lpar;iframe&rpar;操作总结&lowbar;javascript技巧</a>
					<div>
						框架编程概述 一个 HTML页面可以有一个或多个子框架,这些子框架以&lt;iframe&gt;来标记,用来显示一个独立的HTML页面.这里所讲的框架编程包括框架的自我控制以及框架之间的互相访问,例如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7y3Jp.html" rel="bookmark" class="title">link环境下使用codefirst技术制作《网盘软件》，请问网盘和网页接口对接技术怎么实现？</a>
					<div>
						问题描述 link环境下使用codefirst技术制作&lt;网盘软件&gt;,请问网盘和网页接口对接技术怎么实现? link环境下使用codefirst技术制作&lt;网盘软件&gt;,请问网盘和网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3grp.html" rel="bookmark" class="title">源代码-js如何解析websocket返回的二进制图片数据并且显示在div中</a>
					<div>
						问题描述 js如何解析websocket返回的二进制图片数据并且显示在div中 最好是有简单源代码 急需要解决 !!!!!!!!! 麻烦各位大神了! 解决方案 &lt;img src=&quot;&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmGL1b.html" rel="bookmark" class="title">越南调查引发震动最严重黑客事件 中国黑客&colon;不参与&comma;不承认</a>
					<div>
						越南网站上有关机场黑客事件的报道 &quot;越南遭受迄今最严重的黑客攻击事件&quot;,7月29日发生在越南两个最大机场的黑客事件引发震动.黑客通过攻陷机场电子显示屏及广播系统,散发&quot;南 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRELAb.html" rel="bookmark" class="title">关于系统错误的问题-希望解决一下系统错误的问题</a>
					<div>
						问题描述 希望解决一下系统错误的问题 我的电脑win10系统 出现了照片上的问题,希望那位大神帮忙解决一下,本人大一lT专业学生,知识不够-谢谢 解决方案 谁家的软件,你去问厂家 解决方案二: 换了好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRV1mb.html" rel="bookmark" class="title">AndroidShell &lpar;Mac Os Commands&rpar;</a>
					<div>
						转自: https://github.com/cesards/AndroidShell AndroidShell (Mac Os Commands) Table of Contents SHA-1 D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rVO0z.html" rel="bookmark" class="title">关于BASE64解码还原问题</a>
					<div>
						问题描述 关于BASE64解码还原问题 首先我用的是:org.apache.commons.codec.binary.Base64 编码.解码代码如下: String source = &quot;T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKN8ab.html" rel="bookmark" class="title">thinkphp如何实现局部刷新？</a>
					<div>
						问题描述 thinkphp如何实现局部刷新? 就是品字形页面,点击sidebar的链接,右边的内容页局部刷新而不是跳转页面. 解决方案 局部刷新,ajax... 解决方案二: $(&quot;#容器d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RZL6z.html" rel="bookmark" class="title">【c语言】多节点同时向文本写入 PID的策略</a>
					<div>
						问题描述 [c语言]多节点同时向文本写入 PID的策略 多个节点同时向一个共享盘里的文本文件写入自身的进程号,假设进程号都是唯一的,写入文本的顺序随意,按列写入,最终文本的一列里包含全部节点上应用的进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jjKVp.html" rel="bookmark" class="title">smarty模板引擎基础知识入门&lowbar;php实例</a>
					<div>
						本文实例讲述了smarty模板引擎基础知识.分享给大家供大家参考.具体如下: 一.基本概念 1.什么是mvc? mvc是一种开发模式,核心思想是:数据的输入.数据的处理.数据显示的强制分离. 2.什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2RWaz.html" rel="bookmark" class="title">C&num;之Android手机App开发&lowbar;Android</a>
					<div>
						目前Android在全世界市场上大约有75%的占有率,国人Android手机的持有比例更甚,甚至达到90%以上.因此搞计算机的一听说手机应用开发,一个个都像着了魔似的,既然有那么多人对它感兴趣,那咱也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6kQXM.html" rel="bookmark" class="title">photoshop画斜线&sol;直线&sol;虚线的入门级教程</a>
					<div>
						PS怎么画斜线 选择铅笔工具,或者画笔工具,在你想画的斜线的&quot;起点&quot;点一下(松开鼠标),然后按着shift键   在任何地方点一下就出现斜线了 (当然方法还有很多种,不过这是画直线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEX1mp.html" rel="bookmark" class="title">谷歌CEO去年拿2亿美元薪酬 股东们不干了</a>
					<div>
						北京时间6月5日晚间消息,国外媒体报道,谷歌母公司Alphabet周三将召开年度股东大会.届时,在企业监管等方面,Alphabet将面临股东们的&quot;严刑拷问&quot;. 目前,ISS.Gla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNWl6p.html" rel="bookmark" class="title">微软互联网业务巨亏60亿美元</a>
					<div>
						虽然近日有调查数据显示,搜索引擎&quot;必应&quot;已经超越雅虎成为北美第二大搜索引擎,不过对于微软来说可谓一喜一悲,数字显示,微软网络业务成立九年来已经累计亏损达60亿美元. 从新推出搜索引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqZZwb.html" rel="bookmark" class="title">怎样自定义一个IP报文</a>
					<div>
						问题描述 请写出相关程序.就是报文头部中标识不知道赋值. 解决方案 解决方案二:参考:解决方案三:要用原始套接字并发送的,这个不太会啊...求帮助					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Y9mnp.html" rel="bookmark" class="title">遇到&OpenCurlyDoubleQuote;替课&rdquo;</a>
					<div>
						大学生花钱找别人替课的事,早在报道中遇见,但在现实中,就身在教学一线,还真没有体验. 昨日,数据结构上机课,我要进行一次考勤.这个学期,是近年来教学工作头绪最多的一个学期,定下的&quot;能直接叫上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWdK9p.html" rel="bookmark" class="title">jquery ajax data传递参数的时候，提示：无法识别的转义序列</a>
					<div>
						问题描述 jqueryajaxdata传递file路径参数(d:wenjianjiatest.text)的时候,提示:无法识别的转义序列.err.responseText提示的file路径变成了:d: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0wJ5M.html" rel="bookmark" class="title">兴业银行电话推销白金卡未激活强征500元年费</a>
					<div>
						据&lt;劳动报&gt;报道,读者刘先生近来碰到件怪事,没开通.没激活,也没使用的兴业银行信用卡,却被无端地扣了500元&quot;年费&quot;.催款单寄到后,刘先生发现这竟然是一份没有任何消费记 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
